# Designate, a DNSaaS component for OpenStack

Designate is a multi-tenant DNSaaS service for OpenStack. It provides a REST API with integrated Keystone authentication. It can be configured to auto-generate records based on Nova and Neutron actions. Designate supports a variety of DNS servers including Bind9 and PowerDNS 4.

## Contents

- Introduction to Designate
- Installing OpenStack DNS as a Service
- Developer documentation
- User guide
- Administration guide
- Designate Configuration Guide
- Command-Line Interface Reference
- Designate Reference

For information on the Designate API, see the API Reference.

This documentation is generated by the Sphinx toolkit and lives in the source tree.

this page last updated: 2026-04-13 15:37:16

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug